Exceptions
MongoCursorException
Exceptions
PHP Manual

# La classe MongoException

## Introduction

Exception Mongo par défaut.

Cette exception couvre un grand nombre de conditions d'erreurs pouvant être déplacées vers une exception plus spécifique, mais étendant toujours la classe MongoException.

- non-utf8 string

  Cette erreur survient si vous tentez d'envoyer une chaîne de caractères non UTF-8 dans la base de données. Toutes les chaînes envoyées à la base de données doivent être encodées UTF-8. Reportez-vous aux options de votre php.ini pour l'option de transition permettant de rendre silencieuse cette exception.

- invalid regex

  L'expression rationnelle passée n'est pas valide.

- The MongoSomething object has not been correctly initialized by its constructor

  Votre objet Mongo n'est probablement pas connecté au serveur de base de données.

## Synopsis de la classe

MongoException
extends Exception {
}

Exceptions
MongoCursorException
Exceptions
PHP Manual